<?php

$mask = array(
	      'table' => 'sys_user',
	      'title' => 'Liste der Anwender',
	      'join' => array('sys_group ON sys_user.gid = sys_group.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'sys_user.id',
					    ),
			      'login' => array(
					    'name' => 'Login',
					    'width' => 70,
					    ),
			      'name' => array(
					    'name' => 'Name',
					    'width' => 150,
					    'sql' => 'sys_user.name',
					    ),
			      'email' => array(
					    'name' => 'E-Mail',
					    'width' => 200,
					    ),
			      'gruppe' => array(
					    'name' => 'Gruppe',
					    'width' => 70,
					    'sql' => 'sys_group.name',
					    ),
			      'theme' => array(
					    'name' => 'Theme',
					    'width' => 90,
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('sys_themes','id','name').", 0, '')",
					    'distinct' => "SELECT DISTINCT theme,sys_themes.name FROM sys_user JOIN sys_themes ON theme = sys_themes.id ORDER BY name",
					    ),
			      ),
	      'edit' => array(
			      'login' => array(
					    'name' => 'Login',
					    'type' => 'text',
					    'size' => 25,
					    ),
			      'name' => array(
					    'name' => 'Name',
					    'type' => 'text',
					    'size' => 25,
					    ),
			      'email' => array(
					    'name' => 'E-Mail',
					    'type' => 'text',
					    'size' => 25,
					    ),
			      'gid' => array(
					    'name' => 'Gruppe',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM sys_group ORDER BY name',
					    ),
			      'theme' => array(
					    'name' => 'Theme',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM sys_themes ORDER BY name',
					    ),
			      'passwd' => array(
					    'name' => 'Passwort',
					    'type' => 'passwd',
					    'size' => 25,
					    ),
			      ),
	      );

?>
